Contents
Index 🔎︎

# Chr Function

Returns the character that corresponds to the specified character code.

### Syntax:

          Chr[$](charcode As Integer) As String

### Return value:

String

### Parameters:

charcode: a numeric expression that represents a valid 8-bit ASCII value (0-255) or a 16-bit Unicode value. (To support expressions with a nominally negative argument like Chr(&H8000) in a backwards-compatible way, values in the range −32768 to −1 are internally mapped to the range 32768 to 65535.)

When VBA compatibility mode is enabled (Option VBASupport 1), charcode is a numeric expression that represents a valid 8-bit ASCII value (0-255) only.

Use the Chr$ function to send special control sequences to a printer or to another output source. You can also use it to insert quotation marks in a string expression.

### Error codes:

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err5 not found).

D'oh! You found a bug (text/sbasic/shared/00000003.xhp#err6 not found).

An overflow error will occur when VBA compatibility mode is enabled and the expression value is greater than 255.

### Example:

            Sub ExampleChr
                ' This example inserts quotation marks (ASCII value 34) in a string.
                MsgBox "A " + Chr$(34) + "short" + Chr(34) + " trip."
                ' The printout appears in the dialog as: A "short" trip.
                MsgBox Chr(charcode := 64) ' "@" sign
            End Sub

დაკავშირებული თემები

Asc Function (BASIC)

AscW Function [VBA]

ChrW Function [VBA]